Skip to main content
GET
/
sinks
List sinks
curl --request GET \
  --url https://api.demo.cula.earth/tracking/v1/sinks \
  --header 'Authorization: Bearer <token>' \
  --header 'Cula-Organisation-Id: <cula-organisation-id>'
{
  "data": [
    {
      "id": "snk_7RMH0MQ22YHDBMZF",
      "owner_organisation_id": "org_3NID6IM88UDZXIVB",
      "public_url": "https://hub.cula.earth/globe/sink?id=snk_7RMH0MQ22YHDBMZF",
      "tracked_gross_co2e_removal_in_kg": 6000.5,
      "tracked_net_co2e_removal_in_kg": 5874.3,
      "verified_net_co2e_removal_in_kg": 5874.3,
      "registry_reference": {
        "registry_type": "csi",
        "id": "1234",
        "url": "https://example.com?id=1234"
      },
      "confirmation_document_id": "doc_4YSOFPW99GNKJTML",
      "verified_at": "2025-10-10T00:00:00Z",
      "created_at": "2025-10-10T21:03:58Z"
    }
  ],
  "pagination": {
    "starting_after": null,
    "limit": 10,
    "has_more": false,
    "next_cursor": null
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

API ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01h2xcejqtf2nbrexx3vqjhp41"

Query Parameters

limit
integer
default:10

Maximum number of items to return.

Required range: 1 <= x <= 50
owner_organisation_id
string

Filter by owner organisation ID.

starting_after
string

Cursor representing the item ID after which to start listing results.

Response

Sinks visible to the access token scope.

data
object[]
required
pagination
object
required